JBossServiceSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.hibernate.JBossServiceSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.hibernate
Class JBossServiceSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.hibernate.JBossServiceSubTask

All Implemented Interfaces:
  xdoclet.modules.hibernate.HibernateProperties, Serializable

public class JBossServiceSubTask
extends XmlSubTask
implements xdoclet.modules.hibernate.HibernateProperties

Generate jboss mbean descriptor for hibernated classes

Version:
  $Revision: 1.18 $
Author:
  Konstantin Pribluda (kpribluda@j-tec-team.de), Heiko W. Rupp (pilhuhn at users dot sf dot net)
See Also:
  Serialized Form
ant.element
  name="jbossservice" display-name="JBoss service configuration" parent="xdoclet.modules.hibernate.HibernateDocletTask"
created
  December 11, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`JBossServiceSubTask()` Constructor for the HibernateSubTask object

Method Summary
`protected void` | `engineStarted()` Called when the engine is started
`String` | `getAutoCreate()`
`String` | `getCacheProvider()`
`String` | `getDataSource()`
`String` | `getDefaultSchema()`
`String` | `getDepends()`
`String` | `getDialect()`
`String` | `getDriver()`
`String` | `getJdbcFetchSize()`
`String` | `getJdbcUrl()`
`String` | `getJndiName()`
`Collection` | `getJndiProperties()`
`String` | `getMaxFetchDepth()`
`Collection` | `getOtherMappings()`
`Collection` | `getOtherProperties()`
`String` | `getPassword()`
`String` | `getPoolSize()`
`String` | `getQuerySubstitutions()`
`String` | `getServiceName()` return configured service name
`boolean` | `getShowSql()`
`String` | `getTransactionManagerStrategy()`
`String` | `getTransactionStrategy()`
`boolean` | `getUseOuterJoin()`
`String` | `getUseQueryCache()`
`String` | `getUserName()`
`String` | `getUserTransactionName()`
`String` | `getVersion()`
`void` | `setAutoCreate(String autoCreate)` Parameter for `hibernate.hbm2ddl.auto` property.
`void` | `setCacheProvider(String cacheProvider)` The fully qualified class name of the Hibernate `CacheProvider` implementation.
`void` | `setDataSource(String dataSource)` JNDI name of data source to use in the session factory.
`void` | `setDefaultSchema(String string)` Only for Hibernate 2.1+
`void` | `setDepends(String depends)` The complete name of the data source service name that this service depends on.
`void` | `setDialect(String dialect)` SQL dialect of the database.
`void` | `setJdbcFetchSize(String string)` Only for Hibernate 2.1+
`void` | `setJndiName(String jndiName)` JNDI name to bind to the `SessionFactory`
`void` | `setMaxFetchDepth(String string)` Only for Hibernate 2.1+
`void` | `setPassword(String password)` Use this password to login to the database
`void` | `setQuerySubstitutions(String string)` Only for Hibernate 2.1+
`void` | `setServiceName(String serviceName)`
`void` | `setShowSql(boolean showSql)` Log sql statements.
`void` | `setTransactionManagerStrategy(String transactionManagerStrategy)` Strategy for obtaining the JTA `TransactionManager`
`void` | `setTransactionStrategy(String transactionStrategy)` The fully qualified class name of the Hibernate `TransactionFactory` implementation.
`void` | `setUseOuterJoin(boolean useOuterJoin)` Whether to use outer join
`void` | `setUseQueryCache(String string)` Only for Hibernate 2.1+
`void` | `setUserName(String userName)` Use this user name to login to the database
`void` | `setUserTransactionName(String userTransactionName)` The JNDI name of the JTA UserTransaction object
`void` | `setVersion(String version)` Set the Hibernate version that the jboss service should be generated for.
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossServiceSubTask

    public JBossServiceSubTask()

  Constructor for the HibernateSubTask object

Method Detail

### getTransactionManagerStrategy

    public String getTransactionManagerStrategy()

  Specified by:
    `getTransactionManagerStrategy` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getUserTransactionName

    public String getUserTransactionName()

  Specified by:
    `getUserTransactionName` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getTransactionStrategy

    public String getTransactionStrategy()

### getCacheProvider

    public String getCacheProvider()

### getDepends

    public String getDepends()

### getUserName

    public String getUserName()

  Specified by:
    `getUserName` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getUseOuterJoin

    public boolean getUseOuterJoin()

  Specified by:
    `getUseOuterJoin` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getShowSql

    public boolean getShowSql()

  Specified by:
    `getShowSql` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getServiceName

    public String getServiceName()

  return configured service name

  Returns:

### getJndiName

    public String getJndiName()

  Specified by:
    `getJndiName` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getDataSource

    public String getDataSource()

  Specified by:
    `getDataSource` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getDialect

    public String getDialect()

  Specified by:
    `getDialect` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getAutoCreate

    public String getAutoCreate()

### getDriver

    public String getDriver()

  Specified by:
    `getDriver` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getJdbcUrl

    public String getJdbcUrl()

  Specified by:
    `getJdbcUrl` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getPoolSize

    public String getPoolSize()

  Specified by:
    `getPoolSize` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getJndiProperties

    public Collection getJndiProperties()

  Specified by:
    `getJndiProperties` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getOtherProperties

    public Collection getOtherProperties()

  Specified by:
    `getOtherProperties` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getOtherMappings

    public Collection getOtherMappings()

  Specified by:
    `getOtherMappings` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getDefaultSchema

    public String getDefaultSchema()

  Returns:

### getJdbcFetchSize

    public String getJdbcFetchSize()

  Returns:

### getMaxFetchDepth

    public String getMaxFetchDepth()

  Returns:

### getQuerySubstitutions

    public String getQuerySubstitutions()

  Returns:

### getUseQueryCache

    public String getUseQueryCache()

  Returns:

### getVersion

    public String getVersion()

### setAutoCreate

    public void setAutoCreate(String autoCreate)

  Parameter for `hibernate.hbm2ddl.auto` property. Available since hibernate 2.1.6. Allowed values are 'create', 'create-drop' and 'update'.

  Parameters:
    `autoCreate` -

### setTransactionManagerStrategy

    public void setTransactionManagerStrategy(String transactionManagerStrategy)

  Strategy for obtaining the JTA `TransactionManager`

  Parameters:
    `transactionManagerStrategy` -
  ant.required

### setUserTransactionName

    public void setUserTransactionName(String userTransactionName)

  The JNDI name of the JTA UserTransaction object

  Parameters:
    `userTransactionName` -

### setTransactionStrategy

    public void setTransactionStrategy(String transactionStrategy)

  The fully qualified class name of the Hibernate `TransactionFactory` implementation.

  Parameters:
    `transactionStrategy` -

### setCacheProvider

    public void setCacheProvider(String cacheProvider)

  The fully qualified class name of the Hibernate `CacheProvider` implementation. For Hibernate 2.1+ only.

  Parameters:
    `cacheProvider` -

### setDepends

    public void setDepends(String depends)

  The complete name of the data source service name that this service depends on.

  Parameters:
    `depends` -

### setUserName

    public void setUserName(String userName)

  Use this user name to login to the database

  Parameters:
    `userName` -

### setPassword

    public void setPassword(String password)

  Use this password to login to the database

  Parameters:
    `password` -

### setUseOuterJoin

    public void setUseOuterJoin(boolean useOuterJoin)

  Whether to use outer join

  Parameters:
    `useOuterJoin` -

### setShowSql

    public void setShowSql(boolean showSql)

  Log sql statements.

  Parameters:
    `showSql` -

### setServiceName

    public void setServiceName(String serviceName)

  Parameters:
    `serviceName` -
  ant.required

### setJndiName

    public void setJndiName(String jndiName)

  JNDI name to bind to the `SessionFactory`

  Parameters:
    `jndiName` -
  ant.required

### setDataSource

    public void setDataSource(String dataSource)

  JNDI name of data source to use in the session factory. Note, that if you don't supply it here, you have to have it in a hibernate.properties file in your classpath.

  Parameters:
    `dataSource` -

### setDialect

    public void setDialect(String dialect)

  SQL dialect of the database. Note, that if you don't supply it here, you have to have it in a hibernate.properties file in your classpath. Use the fully-qualified class name of the dialect here.

  Parameters:
    `dialect` -

### setDefaultSchema

    public void setDefaultSchema(String string)

  Only for Hibernate 2.1+

  Parameters:
    `string` -

### setJdbcFetchSize

    public void setJdbcFetchSize(String string)

  Only for Hibernate 2.1+

  Parameters:
    `string` -

### setMaxFetchDepth

    public void setMaxFetchDepth(String string)

  Only for Hibernate 2.1+

  Parameters:
    `string` -

### setQuerySubstitutions

    public void setQuerySubstitutions(String string)

  Only for Hibernate 2.1+

  Parameters:
    `string` -

### setUseQueryCache

    public void setUseQueryCache(String string)

  Only for Hibernate 2.1+

  Parameters:
    `string` -

### setVersion

    public void setVersion(String version)

  Set the Hibernate version that the jboss service should be generated for. Values are "1.1", "2.0" and "2.1". This value normally corresponds to the setting of the `hibernate` subtask. Default is "2.1" !

  Parameters:
    `version` -

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Description copied from class: `TemplateSubTask`
  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Called when the engine is started

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Thrown in case of problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD